reSIDfp::Resampler Class Referenceabstract

`#include <Resampler.h>`

Inheritance diagram for reSIDfp::Resampler:

## Public Member Functions

virtual bool | input (int sample)=0
short | getOutput () const
virtual void | reset ()=0

## Protected Member Functions

virtual int | output () const =0

## Detailed Description

Abstraction of a resampling process. Given enough input, produces output. Constructors take additional arguments that configure these objects.

## Member Function Documentation

## getOutput()

short reSIDfp::Resampler::getOutput | ( |  | ) | const

inline

Output a sample from resampler.

Returns
  resampled sample

## input()

virtual bool reSIDfp::Resampler::input | ( | int | sample | ) |

pure virtual

Input a sample into resampler. Output "true" when resampler is ready with new sample.

Parameters

  sample | input sample

Returns
  true when a sample is ready

Implemented in reSIDfp::TwoPassSincResampler, reSIDfp::ZeroOrderResampler, and reSIDfp::SincResampler.

The documentation for this class was generated from the following file:

- Resampler.h